# Interface methods for submodule: ShapeSignedDistanceFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialFunctionProxy as _SpatialFunctionProxy


# Interface methods for class: ShapeSignedDistanceFunction
class ShapeSignedDistanceFunctionProxy(_SpatialFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, arg0) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def GetNumberOfShapeParameters(self) -> int:
		""""""
		...

	def GetNumberOfPoseParameters(self) -> int:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def Evaluate(self, point: Sequence[float]) -> float:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

